Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.engine.gcv
Class GCVDtd

    java.lang.Object
      com.novell.nds.dirxml.engine.gcv.GCVDtd

    public abstract class GCVDtd

extends Object

Class containing definitions related to the XML representation of Global Configuration Values.

Field Summary
`static String` | `ATTR_ACTIVE_VALUE`
`static String` | `ATTR_ATTR_NAME`
`static String` | `ATTR_AUX_CLASS_NAME`
`static String` | `ATTR_DESCRIPTION_REF`
`static String` | `ATTR_DISPLAY_NAME`
`static String` | `ATTR_DISPLAY_NAME_REF`
`static String` | `ATTR_DN_DELIMS`
`static String` | `ATTR_DN_SPACE`
`static String` | `ATTR_DN_TYPE`
`static String` | `ATTR_HIDE`
`static String` | `ATTR_ITEM_SEPARATOR`
`static String` | `ATTR_MULTILINE`
`static String` | `ATTR_NAME`
`static String` | `ATTR_RANGE_HI`
`static String` | `ATTR_RANGE_LO`
`static String` | `ATTR_TYPE`
`static String` | `ATTR_XML_SPACE`
`static String` | `TAG_CONFIGURATION_VALUES`
`static String` | `TAG_DEFINITION`
`static String` | `TAG_DEFINITIONS`
`static String` | `TAG_DESCRIPTION`
`static String` | `TAG_ENUM_CHOICE`
`static String` | `TAG_GCV_REF`
`static String` | `TAG_GROUP`
`static String` | `TAG_HEADER`
`static String` | `TAG_ITEM`
`static String` | `TAG_LIST`
`static String` | `TAG_SUBORDINATES`
`static String` | `TAG_TARGET_CLASS`
`static String` | `TAG_VALUE`
`static String` | `VAL_APPLICATION`
`static String` | `VAL_BOOLEAN`
`static String` | `VAL_CUSTOM`
`static String` | `VAL_DIRXML`
`static String` | `VAL_DN`
`static String` | `VAL_DN_REF`
`static String` | `VAL_DOT`
`static String` | `VAL_ENUM`
`static String` | `VAL_FALSE`
`static String` | `VAL_INTEGER`
`static String` | `VAL_LDAP`
`static String` | `VAL_LIST`
`static String` | `VAL_PASSWORD_REF`
`static String` | `VAL_PRESERVE`
`static String` | `VAL_QUALIFIED_DOT`
`static String` | `VAL_QUALIFIED_SLASH`
`static String` | `VAL_REAL`
`static String` | `VAL_SLASH`
`static String` | `VAL_STRING`
`static String` | `VAL_TRUE`
`static String` | `XML_NAMESPACE`

Constructor Summary
`GCVDtd()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VAL_STRING

    public static final String VAL_STRING

See Also:
  Constant Field Values

### VAL_BOOLEAN

    public static final String VAL_BOOLEAN

See Also:
  Constant Field Values

### VAL_INTEGER

    public static final String VAL_INTEGER

See Also:
  Constant Field Values

### VAL_REAL

    public static final String VAL_REAL

See Also:
  Constant Field Values

### VAL_DN

    public static final String VAL_DN

See Also:
  Constant Field Values

### VAL_ENUM

    public static final String VAL_ENUM

See Also:
  Constant Field Values

### VAL_PASSWORD_REF

    public static final String VAL_PASSWORD_REF

See Also:
  Constant Field Values

### VAL_DN_REF

    public static final String VAL_DN_REF

See Also:
  Constant Field Values

### VAL_LIST

    public static final String VAL_LIST

See Also:
  Constant Field Values

### VAL_LDAP

    public static final String VAL_LDAP

See Also:
  Constant Field Values

### VAL_SLASH

    public static final String VAL_SLASH

See Also:
  Constant Field Values

### VAL_QUALIFIED_SLASH

    public static final String VAL_QUALIFIED_SLASH

See Also:
  Constant Field Values

### VAL_DOT

    public static final String VAL_DOT

See Also:
  Constant Field Values

### VAL_QUALIFIED_DOT

    public static final String VAL_QUALIFIED_DOT

See Also:
  Constant Field Values

### VAL_CUSTOM

    public static final String VAL_CUSTOM

See Also:
  Constant Field Values

### VAL_DIRXML

    public static final String VAL_DIRXML

See Also:
  Constant Field Values

### VAL_APPLICATION

    public static final String VAL_APPLICATION

See Also:
  Constant Field Values

### VAL_TRUE

    public static final String VAL_TRUE

See Also:
  Constant Field Values

### VAL_FALSE

    public static final String VAL_FALSE

See Also:
  Constant Field Values

### ATTR_NAME

    public static final String ATTR_NAME

See Also:
  Constant Field Values

### ATTR_DISPLAY_NAME

    public static final String ATTR_DISPLAY_NAME

See Also:
  Constant Field Values

### ATTR_DISPLAY_NAME_REF

    public static final String ATTR_DISPLAY_NAME_REF

See Also:
  Constant Field Values

### ATTR_DESCRIPTION_REF

    public static final String ATTR_DESCRIPTION_REF

See Also:
  Constant Field Values

### ATTR_TYPE

    public static final String ATTR_TYPE

See Also:
  Constant Field Values

### ATTR_DN_TYPE

    public static final String ATTR_DN_TYPE

See Also:
  Constant Field Values

### ATTR_DN_DELIMS

    public static final String ATTR_DN_DELIMS

See Also:
  Constant Field Values

### ATTR_DN_SPACE

    public static final String ATTR_DN_SPACE

See Also:
  Constant Field Values

### ATTR_RANGE_LO

    public static final String ATTR_RANGE_LO

See Also:
  Constant Field Values

### ATTR_RANGE_HI

    public static final String ATTR_RANGE_HI

See Also:
  Constant Field Values

### ATTR_ACTIVE_VALUE

    public static final String ATTR_ACTIVE_VALUE

See Also:
  Constant Field Values

### ATTR_HIDE

    public static final String ATTR_HIDE

See Also:
  Constant Field Values

### ATTR_ITEM_SEPARATOR

    public static final String ATTR_ITEM_SEPARATOR

See Also:
  Constant Field Values

### ATTR_ATTR_NAME

    public static final String ATTR_ATTR_NAME

See Also:
  Constant Field Values

### ATTR_AUX_CLASS_NAME

    public static final String ATTR_AUX_CLASS_NAME

See Also:
  Constant Field Values

### ATTR_MULTILINE

    public static final String ATTR_MULTILINE

See Also:
  Constant Field Values

### TAG_CONFIGURATION_VALUES

    public static final String TAG_CONFIGURATION_VALUES

See Also:
  Constant Field Values

### TAG_DEFINITIONS

    public static final String TAG_DEFINITIONS

See Also:
  Constant Field Values

### TAG_DEFINITION

    public static final String TAG_DEFINITION

See Also:
  Constant Field Values

### TAG_VALUE

    public static final String TAG_VALUE

See Also:
  Constant Field Values

### TAG_DESCRIPTION

    public static final String TAG_DESCRIPTION

See Also:
  Constant Field Values

### TAG_ENUM_CHOICE

    public static final String TAG_ENUM_CHOICE

See Also:
  Constant Field Values

### TAG_HEADER

    public static final String TAG_HEADER

See Also:
  Constant Field Values

### TAG_GROUP

    public static final String TAG_GROUP

See Also:
  Constant Field Values

### TAG_SUBORDINATES

    public static final String TAG_SUBORDINATES

See Also:
  Constant Field Values

### TAG_GCV_REF

    public static final String TAG_GCV_REF

See Also:
  Constant Field Values

### TAG_LIST

    public static final String TAG_LIST

See Also:
  Constant Field Values

### TAG_ITEM

    public static final String TAG_ITEM

See Also:
  Constant Field Values

### TAG_TARGET_CLASS

    public static final String TAG_TARGET_CLASS

See Also:
  Constant Field Values

### ATTR_XML_SPACE

    public static final String ATTR_XML_SPACE

See Also:
  Constant Field Values

### VAL_PRESERVE

    public static final String VAL_PRESERVE

See Also:
  Constant Field Values

### XML_NAMESPACE

    public static final String XML_NAMESPACE

See Also:
  Constant Field Values

Constructor Detail

### GCVDtd

    public GCVDtd()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD